> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmproxys.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Proxy Específica

> Retorna os detalhes de um usuário da proxy pelo ID.

Retorna os detalhes de um usuário da proxy específico através do seu `user_id`.

## Headers

<ParamField header="X-API-Key" type="string" required>
  Sua chave de API no formato `gm_SUA_CHAVE`.
</ParamField>

## Body

<ParamField body="user_id" type="string" required>
  ID do usuário a ser consultado.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.gmproxys.com/v1/user \
    -H "X-API-Key: gm_SUA_CHAVE" \
    -H "Content-Type: application/json" \
    -d '{
      "user_id": "2914"
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch("https://api.gmproxys.com/v1/user", {
    method: "GET",
    headers: {
      "X-API-Key": "gm_SUA_CHAVE",
      "Content-Type": "application/json",
    },
    body: JSON.stringify({
      user_id: "2914",
    }),
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.gmproxys.com/v1/user",
      headers={
          "X-API-Key": "gm_SUA_CHAVE",
          "Content-Type": "application/json",
      },
      json={"user_id": "2914"},
  )

  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": 2914,
    "login": "82364cb158467f5e5a64",
    "password": "ba4d43e7b0ee471c",
    "balance": 0,
    "balance_format": 0,
    "threads": 100,
    "allowed_ips": [],
    "blocked": false,
    "type": "residential",
    "default_pool_parameters": {
      "countries": ["us"],
      "cities": ["newyork", "chicago"],
      "states": [],
      "exclude_countries": []
    },
    "blocked_hosts": []
  }
  ```

  ```json 401 Token inválido theme={null}
  {
    "success": false,
    "message": "Invalid API token."
  }
  ```

  ```json 404 ID inexistente theme={null}
  {
    "success": false,
    "message": "Proxy user not found."
  }
  ```
</ResponseExample>
